#!/usr/bin/env python
# encoding: utf-8
"""
@CreateTime: 2021/9/30 15:32
@Author: lxc
@LastEditTime: 
@Desctiption: 修改设备的清洗周期
"""

from abstract_api import AbstractApi
from event_storage import EventStorage
from datetime import timedelta

class ChangeUnderwaterEquipCleanCycle(AbstractApi):

    def operation(self, request):
        operate_mysql = EventStorage()
        device_name = request["device_name"]
        clean_cycle = request["clean_cycle"]

        select_sql = "SELECT this_clean_time FROM underwater_equipment_clean WHERE device_name=\'%s\';" % (device_name)
        this_clean_time = operate_mysql.execute_sql(select_sql)[0]["this_clean_time"]
        next_clean_time = this_clean_time + timedelta(days=clean_cycle)

        update_sql = "UPDATE underwater_equipment_clean SET clean_cycle=%s,next_clean_time=\'%s\' WHERE device_name=\'%s\';" % (clean_cycle, next_clean_time, device_name)
        try:
            operate_mysql.execute_sql(update_sql)
        except Exception as e:
            print(e)
