#!/usr/bin/env python
# encoding: utf-8
"""
@CreateTime: 2022/06/21 14:42
@Author: lxc
@LastEditTime: 
@Desctiption: 报警页面的配置子页面：获取该平台的所有点的信息
"""

from abstract_api import AbstractApi
from event_storage import EventStorage

class AlarmGetPointConfig(AbstractApi):

    def operation(self, request):
        operate_mysql = EventStorage()

        device_name = request["device_name"]

        # 查看点表中所有需要查看的点
        if device_name == "all_device":
            get_point_sql = "SELECT serial_number,device_name_CN AS device_name,io_point_name,unit,alarm_low_limit,alarm_up_limit,signal_type,buzzer_alarm FROM data_point_tbl;"
        else:
            get_point_sql = f"SELECT serial_number,device_name_CN AS device_name,io_point_name,unit,alarm_low_limit,alarm_up_limit,signal_type,buzzer_alarm " \
                            f"FROM data_point_tbl WHERE device_name=\'{device_name}\';"


        all_point = operate_mysql.execute_sql(get_point_sql)


        return all_point

