#!/usr/bin/env python
# encoding: utf-8
"""
@CreateTime: 2022/06/21 14:42
@Author: lxc
@LastEditTime:
@Desctiption: 报警页面的配置子页面：修改与蜂鸣器的联动状态
"""

from abstract_api import AbstractApi
from event_storage import EventStorage
from log import OutPutLog


class AlarmLinkBuzzer(AbstractApi):
    def __init__(self):
        self._log = OutPutLog()

    def operation(self, request):
        operate_mysql = EventStorage()
        # request = {"serial_number": [1, 2, 3, 4, 5], "buzzer_alarm": 1}

        serial_number = request["serial_number"]
        buzzer_alarm = request["buzzer_alarm"]
        if len(serial_number) == 1:
            update_sql = f"UPDATE data_point_tbl SET buzzer_alarm={buzzer_alarm} WHERE serial_number={serial_number[0]}"
        else:
            update_sql = f"UPDATE data_point_tbl SET buzzer_alarm={buzzer_alarm} WHERE serial_number in {format(tuple(serial_number))}"

        try:
            result = operate_mysql.execute_update_sql(update_sql)
        except Exception as e:
            self._log.error(e)
            result = False

        return result