#!/usr/bin/env python
# encoding: utf-8
"""
# @CreateTime: 2021/7/7 10:03
# @Author: lxc
# @LastEditTime: 
# @Desctiption: 风光发电子系统界面：修改充电设备的参数
"""

from abstract_api import AbstractApi
from event_storage import EventStorage

class ChangeWindLightConfig(AbstractApi):

    def operation(self, request):
        operate_mysql = EventStorage()

        recharge_device_set = request['recharge_device_set']        # 充电设备配置 0:无；1:主发电机；2:应急发电机
        recharge_device_start_voltage = request['recharge_device_start_voltage']    # 	充电设备启动电压(V)

        sql_change = "UPDATE wind_light_configuration SET recharge_device_set=%s, recharge_device_start_voltage=%s;" % (recharge_device_set, recharge_device_start_voltage)
        try:
            operate_mysql.execute_sql(sql_change)
            return "change success"
        except Exception as e:
            self._log.error(str(e))
            return "change failed"