#!/usr/bin/env python
# encoding: utf-8
"""
@time: 2021/5/25 9:24
@desc: 获取未读报警
"""


from abstract_api import AbstractApi
from event_storage import EventStorage

class GetUnreadAlarm(AbstractApi):
    """查询未读报警"""
    def operation(self, request):
        operate_mysql = EventStorage()
        # 查报警，
        sql1 = "SELECT id,times,name,data FROM alarm_data_tbl WHERE is_cancel=0 ORDER BY times DESC;"
        res1 = operate_mysql.execute_sql(sql1)

        if len(res1) != 0:
            list_alarm = []
            for each in res1:
                sql2 = "SELECT io_point_name FROM data_point_tbl WHERE serial_number=%s;" % (each['name'].replace('c', ''))
                res2 = operate_mysql.execute_sql(sql2)
                dict_alarm = {'id': each['id'], 'times': each['times'], 'data': each['data'], 'io_point_name': res2[0]['io_point_name']}
                list_alarm.append(dict_alarm)

            return list_alarm

        else:
            return None