#!/usr/bin/env python
# encoding: utf-8
"""
@CreateTime: 2022/01/06 14:59
@Author: lxc
@LastEditTime:
@Desctiption: 获取 水下云台水下灯等设备定时开关 的相关信息
"""

from abstract_api import AbstractApi
from event_storage import EventStorage

class GetAutoSwitchDevice(AbstractApi):
    """获取 水下云台水下灯等设备定时开关 的相关信息"""

    def operation(self, request):
        operate_mysql = EventStorage()

        sql = "SELECT device_name,CAST(open_time AS CHAR) as open_time,CAST(close_time AS CHAR) as close_time,status,light_status FROM auto_switch_device;"
        datas = operate_mysql.execute_sql(sql)

        return datas
