#!/usr/bin/env python
# encoding: utf-8
"""
@CreateTime:    2021/6/16 14:13
@LastEditTime:  
@Description: 查询操作日志，可按时间段、操作用户、操作设备 进行条件查询
"""

from abstract_api import AbstractApi
from event_storage import EventStorage

class GetUserOperation(AbstractApi):

    def operation(self, request):
        operate_mysql = EventStorage()

        begin_time = request['timeBegin']
        end_time = request['timeEnd'] + " 23:59:59"
        user = request['user']
        device_name = request['device_name']

        # 按条件进行查询
        if (begin_time is None) and (user is None) and (device_name is None):
            select_sql = "SELECT * FROM user_operation_record;"
        elif (begin_time is None) and (user is None) and (device_name is not None):
            select_sql = "SELECT * FROM user_operation_record WHERE device_name=\'%s\';" % (device_name)
        elif (begin_time is None) and (user is not None) and (device_name is None):
            select_sql = "SELECT * FROM user_operation_record WHERE user=\'%s\';" % (user)
        elif (begin_time is None) and (user is not None) and (device_name is not None):
            select_sql = "SELECT * FROM user_operation_record WHERE user=\'%s\' AND device_name=\'%s\';" % (user, device_name)
        elif (begin_time is not None) and (user is None) and (device_name is None):
            select_sql = "SELECT * FROM user_operation_record WHERE times BETWEEN \'%s\' AND \'%s\';" % (begin_time, end_time)
        elif (begin_time is not None) and (user is None) and (device_name is not None):
            select_sql = "SELECT * FROM user_operation_record WHERE times BETWEEN \'%s\' AND \'%s\' AND device_name=\'%s\';" % (begin_time, end_time, device_name)
        elif (begin_time is not None) and (user is not None) and (device_name is None):
            select_sql = "SELECT * FROM user_operation_record WHERE times BETWEEN \'%s\' AND \'%s\' AND user=\'%s\';" % (begin_time, end_time, user)
        elif (begin_time is not None) and (user is not None) and (device_name is not None):
            select_sql = "SELECT * FROM user_operation_record WHERE times BETWEEN \'%s\' AND \'%s\' AND user=\'%s\' AND device_name=\'%s\';" % (begin_time, end_time, user, device_name)

        res = operate_mysql.execute_sql(select_sql)
        if res is not None:
            return res
        else:
            return "find failed"


