#!/usr/bin/env python
# encoding: utf-8
"""
@CreateTime:    2021/6/19 10:33
@LastEditTime:  
@Description: 根据 id 修改自动投喂的配置
"""
import json

from abstract_api import AbstractApi
from event_storage import EventStorage
from log import OutPutLog

class ChangeAutoFeedInfo(AbstractApi):

    def operation(self, request):
        self._log = OutPutLog()
        operate_mysql = EventStorage()
        id = request['id']

        change_sql = "UPDATE automatic_feeding_configuration SET"
        for each in request:
            data = request[each]
            # 判断是否需要修改
            if (data is not None) and (each != 'id'):
                if each == 'phase_frequency':
                    data = json.dumps(data)
                if each == 'data_bait':
                    data = eval(data)
                change_sql = "%s %s=\'%s\'," % (change_sql, each, data)
        change_sql = "%s WHERE id=%s;" % (change_sql.rstrip(','), id)

        try:
            res = operate_mysql.execute_sql(change_sql)
            if res is not None:
                return "change success"
            else:
                return "change failed"
        except Exception as e:
            self._log.error(str(e))
            return "change failed"