#!/usr/bin/env python
# encoding: utf-8
"""
@CreateTime: 2022/01/06 15:16
@Author: lxc
@LastEditTime: 
@Desctiption: 修改 水下云台水下灯等设备定时开关 的相关信息
"""

from abstract_api import AbstractApi
from event_storage import EventStorage
from log import OutPutLog

class ChangeAutoSwitchDevice(AbstractApi):

    def operation(self, request):
        self._log = OutPutLog()
        operate_mysql = EventStorage()

        device_name = request["device_name"]
        status = request["status"]
        change_sql = f"UPDATE auto_switch_device SET status={status}"

        if status == 1:
            open_time = request["open_time"]
            close_time = request["close_time"]
            change_sql = f"{change_sql},open_time='{open_time}',close_time='{close_time}'"

        change_sql = f"{change_sql} WHERE device_name='{device_name}';"
        res = operate_mysql.execute_sql(change_sql)

        return res
