#!/usr/bin/env python
# encoding: utf-8
"""
@CreateTime:    2021/6/19 9:47
@LastEditTime:  
@Description: 获取自动投喂的配置信息，默认有10条数据，全部查询
"""


from abstract_api import AbstractApi
from event_storage import EventStorage

class GetFeedingAmount(AbstractApi):

    def operation(self, request):
        operate_mysql = EventStorage()

        # 查询投饵总量的起始时间
        time_sql = "SELECT CAST(select_time AS CHAR) as select_time FROM touer_set;"
        time_begin = operate_mysql.execute_sql(time_sql)[0]

        # sql = "SELECT SUM(feeding_amount),tank_number FROM fishery_data GROUP BY tank_number;"
        sql = "SELECT SUM(feeding_amount_1),SUM(feeding_amount_2) FROM fishery_data WHERE times > \'%s\';" % (time_begin['select_time'])
        datas = operate_mysql.execute_sql(sql)

        dict_each = {"tank1":0,"tank2":0}
        if datas is not None:
            if len(datas) > 0:
                if datas[0]['SUM(feeding_amount_1)'] != None and datas[0]['SUM(feeding_amount_2)'] != None:
                    dict_each["tank1"] = round(datas[0]['SUM(feeding_amount_1)'],2)
                    dict_each["tank2"] = round(datas[0]['SUM(feeding_amount_2)'],2)
                return dict_each
            else:
                return dict_each
        else:
            return "查询出错，请看日志"