#!/usr/bin/env python
# encoding: utf-8
"""
@CreateTime:    2021/6/19 16:53
@LastEditTime:  
@Description:  删除用户的操作记录，依据：id
"""

from abstract_api import AbstractApi
from event_storage import EventStorage
from log import OutPutLog

class DelUserOperation(AbstractApi):

    def operation(self, request):
        self._log = OutPutLog()
        operate_mysql = EventStorage()
        id = request['id']

        if len(id) == 1:
            del_sql = "DELETE FROM user_operation_record WHERE id=%s;" % (id[0])
        else:
            del_sql = "DELETE FROM user_operation_record WHERE id in %s;" % (format(tuple(id)))

        try:
            res = operate_mysql.execute_sql(del_sql)
            if res is not None:
                return "delete success"
            else:
                return "delete failed"
        except Exception as e:
            self._log.error(e)
            return "delete failed"