#!/usr/bin/env python
# encoding: utf-8
"""
@CreateTime: 2022/06/30 16:53
@Author: lxc
@LastEditTime: 
@Desctiption: 修改 水下云台水下灯等设备定时开关 的相关信息
"""

from abstract_api import AbstractApi
from event_storage import EventStorage
from log import OutPutLog
import json

class YuntaidengChangeMode(AbstractApi):

    def operation(self, request):
        self._log = OutPutLog()
        operate_mysql = EventStorage()

        device_name = request["device_name"]
        control_mode = request["control_mode"]
        sql = f"UPDATE shuixiayuntaideng_control SET control_mode={control_mode}"

        if control_mode == 0:
            # 手动控制模式
            pass
        elif control_mode == 1:
            # 定时控制模式
            definite_time = request["definite_time"]
            time_list = []
            for each_time in definite_time:
                times = f"{each_time[0]},{each_time[1]}"
                time_list.append(times)

            definite_time = json.dumps(time_list)
            sql = f"{sql}, definite_time=\'{definite_time}\'"

        sql = f"{sql} WHERE device_name=\'{device_name}\';"
        res = operate_mysql.execute_update_sql(sql)
        if res is False:
            self._log.error(f"水下云台灯控制模式修改失败！{sql}")

        return res
